Subject: Re: bug#26050: 25.2; configure: no libxml2 support with libxml2 installed

From: Glenn Morris <[email-masked]>
Date: Fri, 10 Mar 2017 12:58:21 -0500

N. Jackson wrote:

> (The released version of emacs-25.1, also built from the tarball
> (on 2016-09-19) did not have this problem.)
[...]
> System Description:	Fedora release 25 (Twenty Five)

But Fedora 25 did not exist on 2016-09-19, so presumably you built 25.1
before performing a system upgrade. So who knows what's changed in-between.

> FWIW, the indentation of the conditional structures in the
> relevant part of configure is confusing; the indentation belies
> the logical nesting. Also some of the lines are excessively long.

It's a generated file. It's often simpler to read configure.ac.